%define pkgname django-registration

Name:           python-%{pkgname}
Version:        2.0.4
Release:        %mkrel 1
Summary:        A user-registration application for Django

Group:          Development/Python
License:        BSD
URL:            http://bitbucket.org/ubernostrum/django-registration
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
Requires:       python-django

%description
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%package -n     python3-%{pkgname}
Summary:        A user-registration application for Django
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       python3-django

%description -n python3-%{pkgname}
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

This is the Python 3 version of the package.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf docs/_build/html/.buildinfo
# Remove bundled egg-info
rm -rf %{pkgname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

#Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc LICENSE AUTHORS README.rst docs/*
%{python2_sitelib}/*.egg-info
%dir %{python2_sitelib}/registration
%{python2_sitelib}/registration/management
%{python2_sitelib}/registration/migrations
%{python2_sitelib}/registration/backends
%{python2_sitelib}/registration/tests
%{python2_sitelib}/registration/*.py*
%exclude %{python3_sitelib}/registration/locale

%files -n python3-%{pkgname} -f %{name}.lang
%doc LICENSE AUTHORS README.rst docs/*
%{python3_sitelib}/*.egg-info
%dir %{python3_sitelib}/registration
%{python3_sitelib}/registration/management
%{python3_sitelib}/registration/migrations
%{python3_sitelib}/registration/backends
%{python3_sitelib}/registration/tests
%{python3_sitelib}/registration/*.py*
%{python3_sitelib}/registration/__pycache__/
%exclude %{python2_sitelib}/registration/locale


%changelog
* Fri Jan 22 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 926492
- new version: 2.0.4
- add python3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 744313
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-6.mga5
+ Revision: 728301
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 687990
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 543349
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0-2.mga4
+ Revision: 498386
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 1.0-1.mga4
+ Revision: 472022
- update to 1.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 378706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 philippem <philippem> 0.8-1.mga3
+ Revision: 288115
- New upstream release 0.8

* Thu Jan 27 2011 ahmad <ahmad> 0.7-3.mga1
+ Revision: 42406
- imported package python-django-registration


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7-3mdv2011.0
+ Revision: 592246
- rebuild for python 2.7

* Fri Feb 12 2010 Jérôme Brenier <incubusss@mandriva.org> 0.7-2mdv2010.1
+ Revision: 505132
- fix summary
- import python-django-registration


